Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055159 - [abrt] xchat-gnome: type_iface_peek_holder_L(): xchat-gnome killed by SIGSEGV
Summary: [abrt] xchat-gnome: type_iface_peek_holder_L(): xchat-gnome killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat-gnome
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3a6cee55b5d015aa8016bc2de12...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 09:33 UTC by matthew gatto
Modified: 2015-02-17 19:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:54:28 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: cgroup (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: core_backtrace (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: dso_list (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: environ (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: exploitable (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: limits (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: maps (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: open_fds (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: proc_pid_status (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details
File: var_log_messages (deleted)
2014-01-19 09:33 UTC, matthew gatto
no flags Details

Description matthew gatto 2014-01-19 09:33:07 UTC
Description of problem:
I had just connected to GimpNet and Freenode and joined a few channels. I wasn't doing anything with the UI when the crash occured.

Version-Release number of selected component:
xchat-gnome-0.26.2-12.git40c5bf988.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        xchat-gnome
crash_function: type_iface_peek_holder_L
executable:     /usr/bin/xchat-gnome
kernel:         3.12.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_iface_peek_holder_L at gtype.c:1707
 #1 type_iface_retrieve_holder_info_Wm at gtype.c:1717
 #2 type_iface_vtable_base_init_Wm at gtype.c:2010
 #3 type_class_init_Wm at gtype.c:2205
 #4 g_type_class_ref at gtype.c:2959
 #5 g_object_new_valist at gobject.c:1797
 #7 gtk_invisible_new_for_screen at gtkinvisible.c:140
 #8 make_clipboard_widget at gtkclipboard.c:361
 #9 get_clipboard_widget at gtkclipboard.c:386
 #10 gtk_clipboard_set_contents at gtkclipboard.c:507

Comment 1 matthew gatto 2014-01-19 09:33:11 UTC
Created attachment 852296 [details]
File: backtrace

Comment 2 matthew gatto 2014-01-19 09:33:13 UTC
Created attachment 852297 [details]
File: cgroup

Comment 3 matthew gatto 2014-01-19 09:33:15 UTC
Created attachment 852298 [details]
File: core_backtrace

Comment 4 matthew gatto 2014-01-19 09:33:16 UTC
Created attachment 852299 [details]
File: dso_list

Comment 5 matthew gatto 2014-01-19 09:33:19 UTC
Created attachment 852300 [details]
File: environ

Comment 6 matthew gatto 2014-01-19 09:33:21 UTC
Created attachment 852301 [details]
File: exploitable

Comment 7 matthew gatto 2014-01-19 09:33:24 UTC
Created attachment 852302 [details]
File: limits

Comment 8 matthew gatto 2014-01-19 09:33:26 UTC
Created attachment 852303 [details]
File: maps

Comment 9 matthew gatto 2014-01-19 09:33:27 UTC
Created attachment 852304 [details]
File: open_fds

Comment 10 matthew gatto 2014-01-19 09:33:29 UTC
Created attachment 852305 [details]
File: proc_pid_status

Comment 11 matthew gatto 2014-01-19 09:33:30 UTC
Created attachment 852306 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-03-05 16:34:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-01-09 21:07:19 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-02-17 19:54:28 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.